slapd-smbk5pwd_2.4.42+dfsg-2ubuntu3_i386.deb


Advertisement

Description

slapd-smbk5pwd - Keeps Samba and Kerberos passwords in sync within slapd

Distribution: Ubuntu 16.04 LTS (Xenial Xerus)
Repository: Ubuntu Universe i386
Package name: slapd-smbk5pwd
Package version: 2.4.42+dfsg
Package release: 2ubuntu3
Package architecture: i386
Package type: deb
Installed size: 116 B
Download size: 18.21 KB
Official Mirror: archive.ubuntu.com
Extends the PasswordModify Extended Operation to update Kerberos keys and Samba password hashes for an LDAP user. The Kerberos support is written for Heimdal using its hdb-ldap backend. The Samba support is written using the Samba 3.0 LDAP schema.

    Download

    Source package: openldap

    Install Howto

    1. Update the package index:
      # sudo apt-get update
    2. Install slapd-smbk5pwd deb package:
      # sudo apt-get install slapd-smbk5pwd

    Files

    • /usr/lib/ldap/smbk5pwd.la
    • /usr/lib/ldap/smbk5pwd.so
    • /usr/lib/ldap/smbk5pwd.so.0
    • /usr/lib/ldap/smbk5pwd.so.0.0.0
    • /usr/share/doc/slapd-smbk5pwd/README
    • /usr/share/doc/slapd-smbk5pwd/changelog.Debian.gz
    • /usr/share/doc/slapd-smbk5pwd/copyright
    • /usr/share/man/man5/slapo-smbk5pwd.5.gz

    Changelog

    2016-02-18 - Matthias Klose <doko@ubuntu.com> openldap (2.4.42+dfsg-2ubuntu3) xenial; urgency=medium * Fix building with gssapi suppport: - Explicitly add -I/usr/include/heimdal to CFLAGS. - Explicitly add -I/usr/lib/<multiarch>/heimdal to LDFLAGS.

    2016-02-17 - Matthias Klose <doko@ubuntu.com> openldap (2.4.42+dfsg-2ubuntu2) xenial; urgency=medium * No-change rebuild for gnutls transition.

    2016-01-10 - Ryan Tandy <ryan@nardis.ca> openldap (2.4.42+dfsg-2ubuntu1) xenial; urgency=medium * Merge from Debian testing (LP: #1532648). Remaining changes: - Enable AppArmor support: - d/apparmor-profile: add AppArmor profile - d/rules: use dh_apparmor - d/control: Build-Depends on dh-apparmor - d/slapd.README.Debian: add note about AppArmor - Enable GSSAPI support: - d/patches/gssapi.diff, thanks to Jerry Carter (Likewise): - Add --with-gssapi support - Make guess_service_principal() more robust when determining principal - d/configure.options: Configure with --with-gssapi - d/control: Added heimdal-dev as a build depend - Enable ufw support: - d/control: suggest ufw. - d/rules: install ufw profile. - d/slapd.ufw.profile: add ufw profile. - Enable nss overlay: - d/{patches/nssov-build,rules}: Apply, build and package the nss overlay. - d/{rules,slapd.py}: Add apport hook. - d/slapd.init.ldif: don't set olcRootDN since it's not defined in either the default DIT nor via an Authn mapping. - d/slapd.scripts-common: - add slapcat_opts to local variables. - Remove unused variable new_conf. - Fix backup directory naming for multiple reconfiguration. - d/{slapd.default,slapd.README.Debian}: use the new configuration style. - d/rules: Enable -DLDAP_CONNECTIONLESS to build CLDAP (UDP) support in the openldap library, as required by Likewise-Open - Show distribution in version: - d/control: added lsb-release - d/patches/fix-ldap-distribution.patch: show distribution in version * Drop CVE-2015-6908.patch, included in Debian. * Remove DEB_HOST_ARCH from debian/rules: left over from when mdb was disabled on ppc64el, no longer used, and missed in the previous merge.

    Advertisement
    Advertisement